Page MenuHomeFreeBSD

libalias: Restructure - Table for partial links
ClosedPublic

Authored by donner on May 31 2021, 2:25 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 8, 3:11 PM
Unknown Object (File)
Fri, Jun 7, 10:01 PM
Unknown Object (File)
Mon, Jun 3, 10:23 AM
Unknown Object (File)
Mon, Jun 3, 10:23 AM
Unknown Object (File)
Mon, Jun 3, 10:23 AM
Unknown Object (File)
Mon, Jun 3, 10:23 AM
Unknown Object (File)
Fri, May 31, 6:05 PM
Unknown Object (File)
Tue, May 28, 2:50 PM

Details

Summary

Separate the partially specified links into a separate data structure.

This would causes a major parformance impact, if there are many of
them. Use a (smaller) hash table to speed up the partially link
access.

Test Plan

Use testsuite.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

  • Cleanup the partial find procedure
  • Just another early exit of the search loop
donner retitled this revision from libalias: Restructure - Table for partially links to libalias: Restructure - Table for partial links.Jun 1 2021, 10:07 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jun 19 2021, 6:06 PM
This revision was automatically updated to reflect the committed changes.